package eu.jonahbauer.wizard.common.machine;

import java.util.Optional;

public interface TimeoutState<S extends TimeoutState<S,C>, C extends TimeoutContext<S,C>> extends State<S,C> {
    default Optional<S> onTimeout(C context) {
        return Optional.empty();
    }
}
